---
title: "Версия 0.9.0 Релиз"
linkTitle: "0.9.0"
date: 2023-09-10
description: >
  Бекапы, DeSEC DNS и не только!
---

![Релизный баннер, демонстрирующий новый пользовательский интерфейс](/images/releases/0.9.0-banner.png)


{{% pageinfo color="primary" %}}
Релиз стал возможен при поддержке [NlNet foulndation](https://nlnet.nl/project/SelfPrivacy/)
{{% /pageinfo %}}



## Список изменений

### Новый функционал

- **Новая реализация резервного копирования (бекапов)** ([#228](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/228), [#274](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/274), [#324](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/324), [#325](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/325), [#326](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/326), [#331](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/331), [#332](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/332))
- **DeSEC в качестве DNS провайдера** ([#211](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/211))
- **DigitalOcean в качестве DNS провайдера** ([#213](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/213))
- Support drawer and basic support documentation logic unit Я БЕЗ ПОНЯТИЯ КАК ЭТО ПЕРЕВЕСТИ ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- Автоматическая смена дневной/ночной темы ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- New router and adaptive layout Я БЕЗ ПОНЯТИЯ КАК ЭТО ПЕРЕВЕСТИ ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- Новые Material 3 анимации ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- Добавлены кнопки "Задач" в панель на других экранах ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- Refreshed UI of modal sheets ([#228](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/228))
- Поддержка `XDG_DATA_HOME` путь хранения в Linux для данных приложений ([#240](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/240))
- Заголовок Accept-Language для API сервера ([#243](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/243), решено [#205](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/205))
- Видимость имен провайдеров при восстановлении сервера ([#264](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/264), решено [#249](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/249))
- Стоимость объема и IPv4 добавляется к общей ежемесячной стоимости сервера([#270](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/270), решена [#115](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/115))
- Поддержка автофокуса на текстовых полях для отображения с клавиатуры ([#294](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/294), решена [#292](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/292))
- Новый диалог для выбора домена, если пользовательский DNS-токен предоставляет доступ к нескольким ([#330](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/330), решена [#328](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/328))
- Новая консоль log журнала приложений ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))


### Bug Fixes

- Исправление открытия URL-адресов из приложения ([#213](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/213))
- Исправление парсинга количества оперативной памяти в DigitalOcean ([#200](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/200), решено [#199](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/199))
- Devices and Recovery Key cubits couldn't initialize right after server installation ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- Fix BottomBar showing incorrect animation when navigating from sibling routes ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- PopUpDialogs не смог найти контекст ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- Update recovery flow to use new support drawer ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- Улучшение диалогов о сбоях при установке ([#213](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/213))
- Ссылка на политику конфиденциальности указывает на неправильный домен ([#207](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/207))
- Удаление прайс-листов для DNS ([#211](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/211))
- Реализованна улучшенная проверка идентификатора домена при восстановлении DNS ([#211](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/211))
- Добавление принудительного типа содержимого JSON в REST API ([#212](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/212))
- Устраненили незарегистрированную проверку DNS в зависимости от CLOUDFLARE ([#212](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/212))
- Добавили фон для всплывающих диалоговых окон и перемещение их в корневой навигатор ([#233](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/233), решено [#231](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/231))
- Исправили отображение валюты в шорткоде ([#234](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/234), related to [#223](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/223))
- Добавили правильную загрузку значения типа сервера ([#236](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/236), решено [#215](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/215))
- Реализованны надлежащие функции нагрузки для провайдеров DNS и серверов ([#237](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/237), решено [#220](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/220))
- Запрет перемещения сервиса, если диск по какой-либо причине пустой ([#245](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/245))
- Заменен жесткий сброс от сервер провайдера на сервер перезагрузку ([#269](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/269), решено [#266](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/266))
- Нормализация процента использования процессора Hetzner с помощью кеширования ([#272](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/272), решено [#156](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/156))
- Изменение неработающей строки валидации для SSH суперпользователя ([#276](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/27))
- Запрет запуска миграции сервиса, если был выбран один и тот же том ([#297](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/297), решено [#289](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/289))
- Проверка DNS, обернута в catch, чтобы избежать сбоя во время выполнения ([#322](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/322))
- Реализация восстановления ведра Backblaze при восстановлении сервера ([#324](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/324))


### Улучшения

- Миграция до Flutter 3.10 и Dart 3.0
- Миграция до AutoRouter v6 ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- Избавление от BrandText и реструктуризация кнопок ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- Удалены диалогов оповещения о марке и нижнего листа ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- Удалены неиспользуемых компонентов пользовательского интерфейса ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- Удалены BrandCards ([#203](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/203))
- Разрешены изменение значений для настроек TLS
- Заменен шорткода String на класс Currency([#226](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/226))
- Перестроен интерфейс провайдера сервера ([#227](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/227))
- Перестроены интерфейса провайдера сервера
- Удалены неиспользуемые геттеры состояния сервиса ([#228](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/228))
- Удалены неиспользуемые утилиты, добавлен форматтер длительности ([#228](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/228))
- Перемещены методы rest api в соответствии с позициями их файлов бизнес-логики ([#235](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/235), частично решены [#217](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/217) и [#219](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/219))
- Сделаны геттер флага частью объекта местоположения провайдера сервера ([#238](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/238), решены [#222](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org.app/issues/222))


### Translation contributions

* Украинский

    * FoxMeste (3)
    * Mithras (31)

* Латвийский

    * Not Telling Lol (183)


* Немецкий

    * Mithras (41)
    * FoxMeste (213)


* Тайский

    * FoxMeste (77)


* Польский

    * Mithras (41)
    * Thary (43)
    * FoxMeste (163)



* Словенский

    * Mithras (212)


* Чешский

    * NaiJi ✨ (2)
    * Mithras (109)
    * FoxMeste (308)


* Русский

    * FoxMeste (4)
    * Revertron (8)
    * NaiJi ✨ (23)
    * Mithras (54)
    * Inex Code (59)


* Словацкий

    * Mithras (29)
    * Revertron (396)


* Македонский
    * FoxMeste (7)


* Белорусский

    * Thary (1)
    * FoxMeste (3)
    * Mithras (47)


* Французский

    * Côme (211)


* Испанский 

    * FoxMeste (7)


* Азербайджанский

    * Mithras (28)
    * Ortibexon (403)
